Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 22

Thread: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

  1. #11
    Design Visualization Moderator stusic's Avatar
    Join Date
    2004-10
    Location
    Denver, Colorado
    Posts
    1,515
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    Quote Originally Posted by Opie
    Will this set of routines from Cadalyst do what you are looking for?
    With having to use the command to show the items before you quit, it's almost like using Erase & OOPS commands...
    Phillip Bradshaw
    Lead Pixel Pusher, Lucid Design Studio
    CAD Detailer, Proctor Productions

    A doctor can bury his mistakes but an architect can only advise his clients to plant vines. - Frank Lloyd Wright

  2. #12
    Wish List Manager BrenBren's Avatar
    Join Date
    2000-11
    Location
    150700
    Posts
    3,434
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    Quote Originally Posted by amiller.119875
    You got me there...all I know is that we have the Full licensed Office version..
    Without knowing what software package you are working with, it is impossible to answer this question.

    Go to your help--> about and tell us what software you are using.

  3. #13
    Member
    Join Date
    2006-02
    Posts
    11
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    We have this Lisp Routine at our work, there's several variations of this routine we have, including lock, unlock and layer off.. the only problem i have with it is that it needs a selected object and cannot take a window or a crossing as an input type.

    Code:
    (defun c:LAYER-FREEZE (/ obj-source lay-name lay-lst lay-name)
      (setvar "cmdecho" 0)
      (while (setq obj-source
    		   (entsel "\nPick an object on the layer to be freezed: ")
    		 )
    		 (setq obj-source (car obj-source))
    		 (setq lay-name (cdr (assoc 8 (entget obj-source))))
    		 (setq lay-lst (tblsearch "layer" lay-name))
    		 (setq lay-name (cdr (assoc 2 lay-lst)))
    		 (if (= lay-name (getvar "clayer"))
    		   (alert (strcat "Cannot freeze layer" lay-name ". It is the CURRENT layer."))
    		   (command "-layer" "f" lay-name "")
    		 )
      )
      (setvar "cmdecho" 1)
      (princ)
    )
    [ Moderator Action = ON ] What are [ CODE ] tags... [ Moderator Action = OFF ]
    Last edited by Mike.Perry; 2006-08-26 at 03:36 AM. Reason: [CODE] tags added.

  4. #14
    Member
    Join Date
    2006-08
    Posts
    5
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    Quote Originally Posted by BrenBren
    Without knowing what software package you are working with, it is impossible to answer this question.

    Go to your help--> about and tell us what software you are using.
    AutoCAD 2007
    Version: A.54.0 (UNICODE)
    Service Pack: 0

    I don't know if it was a '3rd party' item; I was shown it's function when I was having trouble trying to insert some electrical gear on a drawing that was too cluttered...one of the designers said 'Do this...click, click' and the clutter was deleted from the drawing without disturbing the remaining layer display....

    If not 'findable', this is a fantastic tool for AutoCAD to incorporate as a new upgrade download.....and not wait for v.2008(?)
    Last edited by Neda Anser; 2006-08-30 at 06:00 PM.

  5. #15
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,788
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    Quote Originally Posted by amiller.119875
    AutoCAD 2007
    Version: A.54.0 (UNICODE)
    Service Pack: 0

    I don't know if it was a '3rd party' item; I was shown it's function when I was having trouble trying to insert some electrical gear on a drawing that was too cluttered...one of the designers said 'Do this...click, click' and the clutter was deleted from the drawing without disturbing the remaining layer display....
    Can you find this designer and ask him/her?

    Sounds like either the ._AecHideObjects command -or- a 3rd party routine. ToolPac for example includes a function to do this.

    You can also do this with your own lisp or vba code by setting the VISIBLE property to FALSE for the selected objects. The following code defines two functions:

    HIDEME: to hide objects
    SHOWME: to restore them

    Code:
    (defun C:HIDEME (/ ss i)
      (setq ss (ssget) i 0)
      (repeat (sslength ss)
        (vla-put-Visible
          (vlax-ename->vla-object (ssname ss i))
          :vlax-false
        )
        (setq i (1+ i))
      )
    )
    
    (defun C:SHOWME (/ ss i)
      (setq ss (ssget "X" '((60 . 1))) i 0)
      (repeat (sslength ss)
        (vla-put-Visible
          (vlax-ename->vla-object (ssname ss i))
          :vlax-true
        )
        (setq i (1+ i))
      )
    )
    R.K. McSwain | CAD Panacea |

  6. #16
    Wish List Manager BrenBren's Avatar
    Join Date
    2000-11
    Location
    150700
    Posts
    3,434
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    Quote Originally Posted by amiller.119875
    AutoCAD 2007
    Version: A.54.0 (UNICODE)
    Service Pack: 0

    I don't know if it was a '3rd party' item; I was shown it's function when I was having trouble trying to insert some electrical gear on a drawing that was too cluttered...one of the designers said 'Do this...click, click' and the clutter was deleted from the drawing without disturbing the remaining layer display....

    If not 'findable', this is a fantastic tool for AutoCAD to incorporate as a new upgrade download.....and not wait for v.2008(?)
    We've had wishes on the wish list before to be able to select objects; they didn't do so well in the voting.

    Sounds like a third party item; I don't think anything like this is available in vanilla AutoCAD; the closest we've got is the layer freeze and thaw tools.

  7. #17
    Active Member
    Join Date
    2006-09
    Posts
    51
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    pull any one of the toolbars into your drawing area and right click on the dark colored part and you will see a list of toolbars, select layer II the layer tools that were in express tools have been incorporated into the program, let me know if it works it did for me.
    Last edited by rlh; 2006-09-19 at 08:51 PM.

  8. #18
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,788
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    Quote Originally Posted by rlh
    pull any one of the toolbars into your drawing area and you will see a list of toolbars, select layer II the layer tools that were in express tools have been incorporated into the program, let me know if it works it did for me.
    As concluded in this thread, there is no built in tool to do what the OP requests, therefore it's not on the "Layers II" or any other toolbar.
    R.K. McSwain | CAD Panacea |

  9. #19
    Member
    Join Date
    2005-08
    Posts
    2
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    Quote Originally Posted by Neda Anser
    I've recently been upgraded from v.2004 to v.2007 and I've lost a very useful tool.
    v.2004 offered a FREEZE icon (snowflake) that allowed the user to select any specific item on a layer and remove it from displaying WITHOUT turning 'off' the entire layer.
    i.e., If a layer contained a large rectangle with 6 small squares (#1 thru 6), I could click on the 'snowflake' then select squares #2 & #5 and they would turn 'off' (be removed from view and also from printing/plotting); the remaining rectangle and squares #1,3, 4 & 6 would still display.

    I have searched v.2007 and can't find a way to access this tool; other than the Std. 'snowflake' that turns the entire layer 'off'.

    I used this tool for displaying engineering devices when Architctural or other
    engineering disciplines have objects that are not relevant to my package; or contain too much graphics that make the drawing difficult to read. This was really a time-saver!!!



    Thanks in advance.
    Once you have the 2007 software installed you have to put your disk back in to enable you to select the supplemental tools under the install tab. You should be able to install the express tools set which has the tool you are looking for. I hope this sorts out your problem.

    Stephen

  10. #20
    Certified AUGI Addict jaberwok's Avatar
    Join Date
    2000-12
    Location
    0,0,0 The Origin
    Posts
    8,570
    Login to Give a bone
    0

    Default Re: FREEZE tool/icon (snowflake) was in AutoCAD 2004, lost in AutoCAD 2007

    Quote Originally Posted by stephen.connor3
    Once you have the 2007 software installed you have to put your disk back in to enable you to select the supplemental tools under the install tab. You should be able to install the express tools set which has the tool you are looking for. I hope this sorts out your problem.

    Stephen

    See above.
    John B

    "You can't convince a believer of anything; for their belief is not based on evidence, it's based on a deep-seated need to believe." - Carl Sagan

Page 2 of 3 FirstFirst 123 LastLast

Similar Threads

  1. AutoCAD 2008 MText indent lost when opening in AutoCAD 2007
    By nbowley in forum AutoCAD Annotation
    Replies: 5
    Last Post: 2007-09-07, 04:35 PM
  2. Replies: 5
    Last Post: 2007-05-04, 03:49 PM
  3. Replies: 6
    Last Post: 2007-03-27, 03:06 PM
  4. Is there a way to convert AutoCAD 2004 Tool Palettes to 2007?
    By lmank in forum AutoCAD Customization
    Replies: 2
    Last Post: 2006-10-27, 05:01 AM
  5. Cost of upgrading from AutoCAD 2004 to AutoCAD 2007
    By SteveChestnut in forum CAD Management - General
    Replies: 7
    Last Post: 2006-05-25, 10:43 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •